Subject: Re: [PATCH net 1/1] net sched filters: fix notification of filter delete with proper handle

From: Daniel Borkmann <[email-masked]>
Date: Mon, 24 Oct 2016 13:34:37 +0200

On 10/24/2016 01:28 PM, Jamal Hadi Salim wrote:
> On 16-10-24 05:03 AM, Daniel Borkmann wrote:
>> On 10/24/2016 10:48 AM, Jiri Pirko wrote:
>>> Mon, Oct 24, 2016 at 12:30:44AM CEST, [email-masked] wrote:
>>>> On 10/23/2016 05:35 PM, Jamal Hadi Salim wrote:
>>>>> From: Jamal Hadi Salim <[email-masked]>
>>>>
>>>> An actual commit message would be good especially if it's a fix
>>>> for -net tree plus stable. Thanks.
>>>
>>> Also a "Fixes:" tag would be nice to have :)
>>
>> This kernel address leakage dates back to history tree:
>>
>> Fixes: 4e54c4816bfe ("[NET]: Add tc extensions infrastructure.")
>
> Was this from bitkeeper?
> Unfortunately - I think this changed somewhere after inception of
> tc, pre-git. But i cant find any way to trace that. So we could point a
> finger and say this bug "has always been there from day one"
> and we need a way to annotate that.

I guess saying that is okay too, commit is from history museum here:
https://git.kernel.org/cgit/linux/kernel/git/history/history.git/

> Also, please suggest a good commit message.
> I could point to iproute2 patch or cutnpaste the novel i wrote
> there.

I did the analysis already in: http://patchwork.ozlabs.org/patch/683863/
I don't mind if you want to take most parts of it.